Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hub.security
Class HubRequestWithEncryption<X>

    java.lang.Object
      be.ehealth.businessconnector.hub.security.HubRequestWithEncryption<X>

Type Parameters:
  `X` -

All Implemented Interfaces:
  HubRequestHandler

    public class HubRequestWithEncryption<X>

extends Object
implements HubRequestHandler

The Class HubRequestWithEncryption.

Constructor Summary
`HubRequestWithEncryption(HubRequestHandler baseHandler)` Instantiates a new hub request with encryption.

Method Summary
`RequestType` | `handle()` Handle the request, add the necessary info to the tag of each outgoing message
`X` | `handleEncryption(X request, Crypto crypto)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HubRequestWithEncryption

    public HubRequestWithEncryption(HubRequestHandler baseHandler)

  Instantiates a new hub request with encryption.

  Parameters:
    `baseHandler` - the base handler

Method Detail

### handleEncryption

    public X handleEncryption(X request,
                              Crypto crypto)
                       throws IntraHubBusinessConnectorException,
                              TechnicalConnectorException

  Parameters:
    `request` -
    `crypto` -
  Returns:
    X
  Throws:
    `IntraHubBusinessConnectorException`
    `TechnicalConnectorException`
    `BusinessConnectorException`

### handle

    public RequestType handle()
                       throws IntraHubBusinessConnectorException

  Handle the request, add the necessary info to the tag of each outgoing message

  Specified by:
    `handle` in interface `HubRequestHandler`
  Returns:
    the request type
  Throws:
    `IntraHubBusinessConnectorException` - the business connector exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.